အကြောင်းအရာသို့ ကျော်ရန်

Moondream

ပေါင်းစည်းရန်

မော်ဒယ် id moondream/batched
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream/batched?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "inputs": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၀၀၄ $ ၄ API ခရက်ဒစ် · ≈ ၀.၄၂ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Moondream မြင်ကွင်း #multimodal#vision

ပရောမ့်နှင့် ပုံ URL တွဲများ၏ စာရင်းကို တောင်းဆိုချက်တစ်ခုတည်းတွင် လက်ခံပြီး ပုံများစွာအကြောင်း မေးခွန်းများကို ဖြေသည်

Moondream · ဒေတာ (JSON)

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ထည့်သွင်းပရောမ့်များနှင့် ပုံများအတွက် URL များ ပါဝင်သော စာရင်း။

အဆင့်မြင့် max_tokens · temperature · top_p · repetition_penalty
မူလ 64

အသစ်ဖန်တီးမည့် တိုကင်များ၏ အမြင့်ဆုံးကန့်သတ်ချက်။

မူလ 0.2

sampling temperature setting။

မူလ 1

sampling top-P setting။

မူလ 1

နမူနာရွေးချယ်စဉ် ထပ်ခါတလဲလဲဖြစ်မှုအတွက် အသုံးပြုသည့် ပြစ်ဒဏ်။

POST /run/moondream/batched?wait=20 ကုန်ကျစရိတ် → ၀.၀၀၄ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream/batched?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "inputs": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Moondream အကြောင်း

Moondream vision-language မော်ဒယ်၏ အစုလိုက် မူကွဲဖြစ်သည်။ `inputs` တွင် အရာဝတ္ထုများစာရင်းကို ပေးပြီး အရာဝတ္ထုတစ်ခုစီတွင် ပရောမ့်နှင့် ပုံ URL တစ်ခု ပါဝင်ရမည်။ ထို့နောက် ဖန်တီးထားသော ထွက်ရလဒ်များ၊ လုပ်ဆောင်ပြီးသော ဖိုင်အမည်များနှင့် အချိန်တိုင်းတာချက်များပါသော စာရင်းကို ပြန်ရရှိမည်။ ဖန်တီးမှုကို `max_tokens` (32 မှ 1024၊ မူလတန်ဖိုး 64)၊ `temperature` (0 မှ 1)၊ `top_p` နှင့် `repetition_penalty` (1 မှ 2) တို့ဖြင့် ချိန်ညှိသည်။ ရလဒ်သည် တစ်စိတ်တစ်ပိုင်းဖြစ်ကြောင်း ပြသသည့် flag လည်း ပါဝင်သည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
inputsလိုအပ်သည်
အမျိုးအစားobject[]
ထည့်သွင်းပရောမ့်များနှင့် ပုံများအတွက် URL များ ပါဝင်သော စာရင်း။
inputs[].image_urlလိုအပ်သည်
အမျိုးအစားurl · image
လုပ်ဆောင်မည့် ပုံသို့ ညွှန်ပြသော URL။
inputs[].promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုးDescribe this image.
ပုံတွင် အသုံးပြုသည့် ပရောမ့်။
max_tokensရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး64
၃၂ – ၁,၀၂၄
အသစ်ဖန်တီးမည့် တိုကင်များ၏ အမြင့်ဆုံးကန့်သတ်ချက်။
temperatureရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0.2
≤ ၁> ၀
sampling temperature setting။
top_pရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1
၀ – ၁
sampling top-P setting။
repetition_penaltyရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1
၁ – ၂
နမူနာရွေးချယ်စဉ် ထပ်ခါတလဲလဲဖြစ်မှုအတွက် အသုံးပြုသည့် ပြစ်ဒဏ်။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream/batched",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4,
    "usd": "0.004",
    "charged": 4,
    "refunded": 0
  },
  "input": {
    "inputs": [
      {
        "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
      }
    ]
  },
  "output": {
    "outputs": [
      "string"
    ],
    "partial": false,
    "timings": {},
    "filenames": [
      "string"
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
outputs
array of stringဖန်တီးထားသော ရလဒ်များ ပါဝင်သည့် စာရင်း။
partial
booleanထွက်ရလဒ် မပြည့်စုံကြောင်း ဖော်ပြသည်။
timings
objectလုပ်ဆောင်မှုအဆင့်တစ်ခုချင်းစီအတွက် အချိန်တိုင်းတာချက်များ။
filenames
array of string | nullလုပ်ဆောင်ပြီးသော ပုံဖိုင်များ၏ အမည်များ။

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/moondream/batched.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt